Package: org.codehaus.groovy.runtime.memoize

## [Java] Interface MemoizeCache.ValueProvider<K, V>

-     @FunctionalInterface
      public interface MemoizeCache.ValueProvider<K, V>

  Represents a provider used to create value

  Type Parameters:
    `K` - type of the key
    `V` - type of the value

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public V` | `provide(K key)` Provide the created value

- - ### Method Detail

    - #### public V provide(K key)

      Provide the created value